Method: projects.locations.skills.list

Lists logical Skills available in a project.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/skills

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListSkillsRequest

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. Use this field to specify filter criteria on list results. Filter expressions can be used to restrict results based upon filterable fields, where equality operators can be used. See instructions for more details.

Allowed operators: =, <, >, NOT, AND, OR, and ().

Field = <, >
state Yes No
targetState Yes No
createTime Yes Yes
updateTime Yes Yes

Examples:

  • state=ACTIVE to restrict results to skills in the ACTIVE state.
orderBy

string

Optional. Hint for how to order the results

Request body

The request body must be empty.

Response body

Response structure listing logical Skills.

If successful, the response body contains data with the following structure:

JSON representation
{
  "skills": [
    {
      object (Skill)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
skills[]

object (Skill)

Returned container list.

nextPageToken

string

Page continuation continuation token.

unreachable[]

string

Unreachable locations or failures.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.skills.list

For more information, see the IAM documentation.